# Contributing guide - Splash documentation

## Read the Code of Conduct

## Getting started with Sphinx

see the sphinx workshop

## Get in touch !

## Choosing what to work on

### Working on an issue


### Opening an issue

## Setting up the development environment

### Clone the git repo

The following command will clone the docs git repo into a folder named `splash-doc`:

	git clone git@gitlab.com:sat-metalab/documentations/splash.git splash-doc

Navigate to the splash-doc repo:

  	cd splash-doc

### Requirements

Check the requirements.txt file for a list of requirements.

You should install them in a virtual environment.

First start by creating a virtual environment:

	python3 -m virtualenv venv
	
On Ubuntu, you can activate the environement with:

	source venv/bin/activate

You can then install the requirements with:

	pip install -r requirements.txt
	

### Create a new branch

	git checkout -b feature/BRANCH-NAME
	
## Make your changes

When making a change to the docs, you will need to first start by making the change in the original `.rst` files, in English.

### Making a change to the original file

In one of the `.rst` file located in the `source` folder, make the needed changes.

### Translate the changes to French

Afterwards, you may proceed to translating the changes to French. Please read the `CONVENTIONS` doc for translation conventions for this project. 

#### Setup `sphinx-intl`

In your virtualenv, install `sphinx-intl` :

    pip install sphinx-intl
    
Add the changes you made to the `.po` files used for translation:

    make intl
    
In `source/locale`, you should see a `fr` folder. This folder has the same structure as the `source` folder. 

Open the `.po` file with the same name as the `.rst` file you made changes to. Translate the changes.

## Review your changes

To review your changes, build the project locally and deploy on localhost.

### Build the project locally

To build the project locally, run:

    make htmllocaltest

Your HTML files are now in the `public` folder! :star:

### Deploy on localhost

Run the following command to create a local server:

	python3 -m http.server

In a web browser, navigate to `0.0.0.0:8000/public`. You should be able to view the HTML files that were generated by Sphinx.

## Commit your changes

## Push your changes

## Make an MR

